import { EllipsisText, InternalLink } from "@ess-ics/ce-ui-common";
import { Typography } from "@mui/material";
import { JobDetails } from "../../store/deployApi";

interface JobHostProps {
  job: JobDetails;
}

export const JobHost = ({ job }: JobHostProps) => {
  // host is resolvable => show link for users
  if (job?.host?.hostId && job?.host?.externalIdValid) {
    return (
      <InternalLink
        to={`/hosts/${job.host.hostId}`}
        label={`Host Details, ${job.host.fqdn}`}
        width="100%"
      >
        <EllipsisText>{job.host.fqdn}</EllipsisText>
      </InternalLink>
    );
  }
  // gray out hostname if it is from cache
  return (
    <Typography color="gray">
      <EllipsisText>{job?.host?.fqdn}</EllipsisText>
    </Typography>
  );
};
